Package org.eclipse.graphiti.internal.services

## Class GraphitiInternal

- java.lang.Object
- - org.eclipse.graphiti.internal.services.GraphitiInternal

    public final class GraphitiInternal
    extends java.lang.Object

This class is the main access point to all internal Graphiti services.

### Constructor Summary

Constructors
`GraphitiInternal()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IEmfService` `getEmfService()` Returns the EMF service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GraphitiInternal

    public GraphitiInternal()

### Method Detail

#### getEmfService

    public static IEmfService getEmfService()

Returns the EMF service

Returns:
  the EMF service